# Generated by Django 3.1.5 on 2022-08-03 16:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0023_auto_20220803_1807'),
    ]

    operations = [
        migrations.CreateModel(
            name='TargetGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, unique=True, verbose_name='Название')),
                ('description', models.CharField(max_length=1000, verbose_name='Описание')),
            ],
            options={
                'verbose_name': 'Целевая группа',
                'verbose_name_plural': 'Целевые группы',
            },
        ),
        migrations.CreateModel(
            name='TourismType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, unique=True, verbose_name='Название')),
                ('description', models.CharField(max_length=1000, verbose_name='Описание')),
            ],
            options={
                'verbose_name': 'Вид туризма',
                'verbose_name_plural': 'Виды туризма',
            },
        ),
        migrations.CreateModel(
            name='RouteTourismType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('route', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.route', verbose_name='Маршрут')),
                ('tourism_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tourism.tourismtype', verbose_name='Вид туризма')),
            ],
            options={
                'verbose_name': 'Вид туризма маршрута',
                'verbose_name_plural': 'Виды туризма маршрутов',
            },
        ),
        migrations.AddField(
            model_name='route',
            name='target_group',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tourism.targetgroup', verbose_name='Целевая группа'),
        ),
        migrations.AddConstraint(
            model_name='routetourismtype',
            constraint=models.UniqueConstraint(fields=('route', 'tourism_type'), name='route_tourism_type'),
        ),
    ]
